<?php

add_action( 'vc_before_init', 'osteo_timeline_style_ten_integrateWithVC' );
function osteo_timeline_style_ten_integrateWithVC() {
    vc_map( array(
        'name'                    => esc_html__( 'Osteo Timeline Style 10', 'osteo-timeline' ),
        'base'                    => 'osteo_timeline_style_ten',
        'show_settings_on_create' => true,
        'category'                => esc_html__( 'Osteo Timeline', 'osteo-timeline' ),
        'params'                  => array(
            array(
                'type'       => 'param_group',
                'group'      => esc_html__( 'Timeline', 'osteo-timeline' ),
                'param_name' => 'osteo_timeline_list',
                'params'     => array(
                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Background', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_content_box_bg',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_padding_top',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_padding_right',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'group'            => esc_html__( 'Settings', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_padding_bottom',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'group'            => esc_html__( 'Settings', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_padding_left',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_margin_top',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_margin_right',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_margin_bottom',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_content_box_margin_left',
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Box Shadow', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_content_box_shadow',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )     => 'none',
                            esc_html__( 'Style 1', 'osteo-timeline' )  => 'cmk-shadow-1',
                            esc_html__( 'Style 2', 'osteo-timeline' )  => 'cmk-shadow-2',
                            esc_html__( 'Style 3', 'osteo-timeline' )  => 'cmk-shadow-3',
                            esc_html__( 'Style 4', 'osteo-timeline' )  => 'cmk-shadow-4',
                            esc_html__( 'Style 5', 'osteo-timeline' )  => 'cmk-shadow-5',
                            esc_html__( 'Style 6', 'osteo-timeline' )  => 'cmk-shadow-6',
                            esc_html__( 'Style 7', 'osteo-timeline' )  => 'cmk-shadow-7',
                            esc_html__( 'Style 8', 'osteo-timeline' )  => 'cmk-shadow-8',
                            esc_html__( 'Style 9', 'osteo-timeline' )  => 'cmk-shadow-9',
                            esc_html__( 'Style 10', 'osteo-timeline' ) => 'cmk-shadow-10',
                            esc_html__( 'Style 11', 'osteo-timeline' ) => 'cmk-shadow-11',
                            esc_html__( 'Style 12', 'osteo-timeline' ) => 'cmk-shadow-12',
                            esc_html__( 'Style 13', 'osteo-timeline' ) => 'cmk-shadow-13',
                            esc_html__( 'Style 14', 'osteo-timeline' ) => 'cmk-shadow-14',
                            esc_html__( 'Style 15', 'osteo-timeline' ) => 'cmk-shadow-15',
                            esc_html__( 'Style 16', 'osteo-timeline' ) => 'cmk-shadow-16',
                            esc_html__( 'Style 17', 'osteo-timeline' ) => 'cmk-shadow-17',
                            esc_html__( 'Style 18', 'osteo-timeline' ) => 'cmk-shadow-18',
                            esc_html__( 'Style 19', 'osteo-timeline' ) => 'cmk-shadow-19',
                            esc_html__( 'Style 20', 'osteo-timeline' ) => 'cmk-shadow-20',
                            esc_html__( 'Style 21', 'osteo-timeline' ) => 'cmk-shadow-21',
                            esc_html__( 'Style 22', 'osteo-timeline' ) => 'cmk-shadow-22',
                            esc_html__( 'Style 23', 'osteo-timeline' ) => 'cmk-shadow-23',
                            esc_html__( 'Style 24', 'osteo-timeline' ) => 'cmk-shadow-24',
                            esc_html__( 'Style 25', 'osteo-timeline' ) => 'cmk-shadow-25',
                            esc_html__( 'Style 26', 'osteo-timeline' ) => 'cmk-shadow-26',
                            esc_html__( 'Style 27', 'osteo-timeline' ) => 'cmk-shadow-27',
                            esc_html__( 'Style 28', 'osteo-timeline' ) => 'cmk-shadow-28',
                            esc_html__( 'Style 29', 'osteo-timeline' ) => 'cmk-shadow-29',
                            esc_html__( 'Style 30', 'osteo-timeline' ) => 'cmk-shadow-30',
                            esc_html__( 'Style 31', 'osteo-timeline' ) => 'cmk-shadow-31',
                            esc_html__( 'Style 32', 'osteo-timeline' ) => 'cmk-shadow-32',
                            esc_html__( 'Style 33', 'osteo-timeline' ) => 'cmk-shadow-33',
                            esc_html__( 'Style 34', 'osteo-timeline' ) => 'cmk-shadow-34',
                            esc_html__( 'Style 35', 'osteo-timeline' ) => 'cmk-shadow-35',
                            esc_html__( 'Style 36', 'osteo-timeline' ) => 'cmk-shadow-36',
                            esc_html__( 'Style 37', 'osteo-timeline' ) => 'cmk-shadow-37',
                            esc_html__( 'Style 38', 'osteo-timeline' ) => 'cmk-shadow-38',
                            esc_html__( 'Style 39', 'osteo-timeline' ) => 'cmk-shadow-39',
                            esc_html__( 'Style 40', 'osteo-timeline' ) => 'cmk-shadow-40',
                            esc_html__( 'Style 41', 'osteo-timeline' ) => 'cmk-shadow-41',
                            esc_html__( 'Style 42', 'osteo-timeline' ) => 'cmk-shadow-42',
                            esc_html__( 'Style 43', 'osteo-timeline' ) => 'cmk-shadow-43',
                            esc_html__( 'Style 44', 'osteo-timeline' ) => 'cmk-shadow-44',
                            esc_html__( 'Style 45', 'osteo-timeline' ) => 'cmk-shadow-45',
                            esc_html__( 'Style 46', 'osteo-timeline' ) => 'cmk-shadow-46',
                            esc_html__( 'Style 47', 'osteo-timeline' ) => 'cmk-shadow-47',
                            esc_html__( 'Style 48', 'osteo-timeline' ) => 'cmk-shadow-48',
                            esc_html__( 'Style 49', 'osteo-timeline' ) => 'cmk-shadow-49',
                            esc_html__( 'Style 50', 'osteo-timeline' ) => 'cmk-shadow-50',
                            esc_html__( 'Style 51', 'osteo-timeline' ) => 'cmk-shadow-51',
                            esc_html__( 'Style 52', 'osteo-timeline' ) => 'cmk-shadow-52',
                            esc_html__( 'Style 53', 'osteo-timeline' ) => 'cmk-shadow-53',
                            esc_html__( 'Style 54', 'osteo-timeline' ) => 'cmk-shadow-54',
                            esc_html__( 'Style 55', 'osteo-timeline' ) => 'cmk-shadow-55',
                            esc_html__( 'Style 56', 'osteo-timeline' ) => 'cmk-shadow-56',
                        ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Show Date', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_date_switch',
                        'std'              => 'yes',
                        'value'            => [
                            esc_html__( 'No', 'osteo-timeline' )  => 'no',
                            esc_html__( 'Yes', 'osteo-timeline' ) => 'yes',

                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textarea',
                        'heading'          => esc_html__( 'Date', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_date',
                        'std'              => esc_html__( '2011', 'osteo-timeline' ),
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_date_color',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Font Size', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_font_size',
                        'std'              => '14',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Weight', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_font_weight',
                        'std'              => '400',
                        'value'            => array(
                            esc_html__( '100', 'osteo-timeline' )     => '100',
                            esc_html__( '200', 'osteo-timeline' )     => '200',
                            esc_html__( '300', 'osteo-timeline' )     => '300',
                            esc_html__( '400', 'osteo-timeline' )     => '400',
                            esc_html__( '500', 'osteo-timeline' )     => '500',
                            esc_html__( '600', 'osteo-timeline' )     => '600',
                            esc_html__( '700', 'osteo-timeline' )     => '700',
                            esc_html__( '800', 'osteo-timeline' )     => '800',
                            esc_html__( '900', 'osteo-timeline' )     => '900',
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Bold', 'osteo-timeline' )    => 'bold',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Style', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_font_style',
                        'std'              => 'normal',
                        'value'            => array(
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Italic', 'osteo-timeline' )  => 'italic',
                            esc_html__( 'Oblique', 'osteo-timeline' ) => 'oblique',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' ) => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Letter Spacing', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'group'            => esc_html__( 'Heading', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_letter_spacing',
                        'std'              => '0',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_padding_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_padding_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_padding_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_padding_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_margin_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_margin_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_margin_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_date_margin_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_date_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Show Image', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_image_switch',
                        'std'              => 'yes',
                        'value'            => [
                            esc_html__( 'No', 'osteo-timeline' )  => 'no',
                            esc_html__( 'Yes', 'osteo-timeline' ) => 'yes',

                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'attach_image',
                        'heading'          => esc_html__( 'Upload Image', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_image_url',
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Image Size', 'osteo-image-compare' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_image_size',
                        'std'              => 'medium',
                        'value'            => get_intermediate_image_sizes(),
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Border Radius', 'osteo' ),
                        'group'            => esc_html__( 'Media', 'osteo' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_image_border_radius',
                        'std'              => '8',
                        'value'            => array(
                            esc_html__( '1px', 'osteo' )   => '1',
                            esc_html__( '2px', 'osteo' )   => '2',
                            esc_html__( '3px', 'osteo' )   => '3',
                            esc_html__( '4px', 'osteo' )   => '4',
                            esc_html__( '8px', 'osteo' )   => '8',
                            esc_html__( '10px', 'osteo' )  => '10',
                            esc_html__( '15px', 'osteo' )  => '15',
                            esc_html__( '20px', 'osteo' )  => '20',
                            esc_html__( '50px', 'osteo' )  => '50',
                            esc_html__( '100px', 'osteo' ) => '100',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_image_margin_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_image_margin_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_image_margin_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_image_margin_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_image_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Show Heading', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_heading_switch',
                        'std'              => 'yes',
                        'value'            => [
                            esc_html__( 'No', 'osteo-timeline' )  => 'no',
                            esc_html__( 'Yes', 'osteo-timeline' ) => 'yes',
                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textarea',
                        'heading'          => esc_html__( 'Heading', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_heading',
                        'std'              => esc_html__( 'Welcome to Installing Osteo Timeline', 'osteo-timeline' ),
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_heading_color',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color Hover', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_heading_color_hover',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Font Size', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Only type digit. Not Include (px) Ex: 36', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_font_size',
                        'std'              => '36',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Weight', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_font_weight',
                        'std'              => '400',
                        'value'            => array(
                            esc_html__( '100', 'osteo-timeline' )     => '100',
                            esc_html__( '200', 'osteo-timeline' )     => '200',
                            esc_html__( '300', 'osteo-timeline' )     => '300',
                            esc_html__( '400', 'osteo-timeline' )     => '400',
                            esc_html__( '500', 'osteo-timeline' )     => '500',
                            esc_html__( '600', 'osteo-timeline' )     => '600',
                            esc_html__( '700', 'osteo-timeline' )     => '700',
                            esc_html__( '800', 'osteo-timeline' )     => '800',
                            esc_html__( '900', 'osteo-timeline' )     => '900',
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Bold', 'osteo-timeline' )    => 'bold',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Style', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_font_style',
                        'std'              => 'normal',
                        'value'            => array(
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Italic', 'osteo-timeline' )  => 'italic',
                            esc_html__( 'Oblique', 'osteo-timeline' ) => 'oblique',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' ) => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Transform', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_text_transform',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )       => 'none',
                            esc_html__( 'Capitalize', 'osteo-timeline' ) => 'capitalize',
                            esc_html__( 'Uppercase', 'osteo-timeline' )  => 'uppercase',
                            esc_html__( 'Lowercase', 'osteo-timeline' )  => 'lowercase',
                            esc_html__( 'Initial', 'osteo-timeline' )    => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' )    => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Letter Spacing', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_heading_letter_spacing',
                        'std'              => '0',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_padding_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_padding_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_padding_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_padding_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_margin_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_margin_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_margin_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_heading_margin_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_heading_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Show Paragraph', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_paragraph_switch',
                        'std'              => 'yes',
                        'value'            => [
                            esc_html__( 'No', 'osteo-timeline' )  => 'no',
                            esc_html__( 'Yes', 'osteo-timeline' ) => 'yes',

                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textarea',
                        'heading'          => esc_html__( 'Paragraph', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_paragraph',
                        'std'              => esc_html__( 'Lorem ipsum dolor sit amet consectetur, adipisicing elit. Eos natus repudiandae omnis architecto minus eligendi nisi illo quia? Consequatur, quos!', 'osteo-timeline' ),
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_paragraph_color',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Font Size', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_font_size',
                        'std'              => '14',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Weight', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_font_weight',
                        'std'              => '400',
                        'value'            => array(
                            esc_html__( '100', 'osteo-timeline' )     => '100',
                            esc_html__( '200', 'osteo-timeline' )     => '200',
                            esc_html__( '300', 'osteo-timeline' )     => '300',
                            esc_html__( '400', 'osteo-timeline' )     => '400',
                            esc_html__( '500', 'osteo-timeline' )     => '500',
                            esc_html__( '600', 'osteo-timeline' )     => '600',
                            esc_html__( '700', 'osteo-timeline' )     => '700',
                            esc_html__( '800', 'osteo-timeline' )     => '800',
                            esc_html__( '900', 'osteo-timeline' )     => '900',
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Bold', 'osteo-timeline' )    => 'bold',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Style', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_font_style',
                        'std'              => 'normal',
                        'value'            => array(
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Italic', 'osteo-timeline' )  => 'italic',
                            esc_html__( 'Oblique', 'osteo-timeline' ) => 'oblique',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' ) => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Transform', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_text_transform',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )       => 'none',
                            esc_html__( 'Capitalize', 'osteo-timeline' ) => 'capitalize',
                            esc_html__( 'Uppercase', 'osteo-timeline' )  => 'uppercase',
                            esc_html__( 'Lowercase', 'osteo-timeline' )  => 'lowercase',
                            esc_html__( 'Initial', 'osteo-timeline' )    => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' )    => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Letter Spacing', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_paragraph_letter_spacing',
                        'std'              => '0',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_padding_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_padding_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_padding_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Padding Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_padding_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Top', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_margin_top',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Right', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_margin_right',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Bottom', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_margin_bottom',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Margin Left', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_paragraph_margin_left',
                        'dependency'       => array( 'element' => 'osteo_timeline_paragraph_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Show Button', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_button_switch',
                        'std'              => 'yes',
                        'value'            => [
                            esc_html__( 'No', 'osteo-timeline' )  => 'no',
                            esc_html__( 'Yes', 'osteo-timeline' ) => 'yes',

                        ],
                        'save_always'      => true,
                    ),

                    array(
                        'type'        => 'vc_link',
                        'heading'     => esc_html__( 'Button URL', 'osteo-timeline' ),
                        'param_name'  => 'osteo_timeline_button_url',
                        'dependency'  => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always' => true,
                    ),

                    array(
                        'type'        => 'textfield',
                        'heading'     => esc_html__( 'Button Text', 'osteo-timeline' ),
                        'param_name'  => 'osteo_timeline_button_title',
                        'std'         => esc_html__( 'Buy Now', 'osteo-timeline' ),
                        'dependency'  => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always' => true,
                    ),

                    array(
                        'type'       => 'iconpicker',
                        'heading'    => esc_html__( 'Icon', 'osteo-timeline' ),
                        'param_name' => 'osteo_timeline_button_icon',
                        'dependency' => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Icon Size', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_icon_size',
                        'std'              => '14',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Icon Position', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_icon_position',
                        'std'              => 'before-icon',
                        'value'            => [
                            esc_html__( 'Before', 'osteo-timeline' ) => 'before-icon',
                            esc_html__( 'After', 'osteo-timeline' )  => 'after-icon',
                        ],
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_color',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Color Hover ', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_color_hover',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Background', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_bg',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'colorpicker',
                        'heading'          => esc_html__( 'Background Hover', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_bg_hover',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Effect', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_effect',
                        'std'              => 'cmk-slide-left',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )                => 'none',
                            esc_html__( 'DownUp', 'osteo-timeline' )              => 'cmk-downup',
                            esc_html__( 'UpDown', 'osteo-timeline' )              => 'cmk-updown',
                            esc_html__( 'SlideIn Vertical', 'osteo-timeline' )    => 'cmk-slide-in-vertical',
                            esc_html__( 'SlideIn Horizontal', 'osteo-timeline' )  => 'cmk-slide-in-horizontal',
                            esc_html__( 'SlideOut Vertical', 'osteo-timeline' )   => 'cmk-slide-out-vertical',
                            esc_html__( 'SlideOut Horizontal', 'osteo-timeline' ) => 'cmk-slide-out-horizontal',
                            esc_html__( 'Slide Left', 'osteo-timeline' )          => 'cmk-slide-left',
                            esc_html__( 'Slide Right', 'osteo-timeline' )         => 'cmk-slide-right',
                            esc_html__( 'Slide Up', 'osteo-timeline' )            => 'cmk-slide-up',
                            esc_html__( 'Slide Down', 'osteo-timeline' )          => 'cmk-slide-down',
                            esc_html__( 'SlideOut Horizontal', 'osteo-timeline' ) => 'cmk-slideout-horizontal',
                            esc_html__( 'SlideOut Vertical', 'osteo-timeline' )   => 'cmk-slideout-vertical',
                            esc_html__( 'Rotate Left', 'osteo-timeline' )         => 'cmk-rotate-left',
                            esc_html__( 'Rotate Right', 'osteo-timeline' )        => 'cmk-rotate-right',
                            esc_html__( 'Bounce Left', 'osteo-timeline' )         => 'cmk-bounce-left',
                            esc_html__( 'Bounce Right', 'osteo-timeline' )        => 'cmk-bounce-right',
                            esc_html__( 'Bounce Up', 'osteo-timeline' )           => 'cmk-bounce-up',
                            esc_html__( 'Bounce Down', 'osteo-timeline' )         => 'cmk-bounce-down',
                            esc_html__( 'Double Slide Left', 'osteo-timeline' )   => 'cmk-double-slide-left',
                            esc_html__( 'Double Slide Right', 'osteo-timeline' )  => 'cmk-double-slide-right',
                            esc_html__( 'Double Slide Up', 'osteo-timeline' )     => 'cmk-double-slide-up',
                            esc_html__( 'Double Slide Down', 'osteo-timeline' )   => 'cmk-double-slide-down',
                            esc_html__( 'Line Left', 'osteo-timeline' )           => 'cmk-line-left',
                            esc_html__( 'Line Right', 'osteo-timeline' )          => 'cmk-line-right',
                            esc_html__( 'LineIn Vertical', 'osteo-timeline' )     => 'cmk-line-in-vertical',
                            esc_html__( 'LineOut Vertical', 'osteo-timeline' )    => 'cmk-line-out-vertical',
                            esc_html__( 'LineIn Horizontal', 'osteo-timeline' )   => 'cmk-line-in-horizontal',
                            esc_html__( 'LineOut Horizontal', 'osteo-timeline' )  => 'cmk-line-out-horizontal',
                            esc_html__( 'Line Bounce Left', 'osteo-timeline' )    => 'cmk-line-bounce-left',
                            esc_html__( 'Line Bounce Right', 'osteo-timeline' )   => 'cmk-line-bounce-right',
                            esc_html__( 'Double Line Left', 'osteo-timeline' )    => 'cmk-double-line-left',
                            esc_html__( 'Double Line Right', 'osteo-timeline' )   => 'cmk-double-line-right',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Button Size', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_size',
                        'value'            => array(
                            esc_html__( 'Extra Small', 'osteo-timeline' ) => 'xs',
                            esc_html__( 'Small', 'osteo-timeline' )       => 'sm',
                            esc_html__( 'Medium', 'osteo-timeline' )      => 'md',
                            esc_html__( 'Large', 'osteo-timeline' )       => 'lg',
                            esc_html__( 'Extra Large', 'osteo-timeline' ) => 'xl',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'css_editor',
                        'heading'          => esc_html__( 'Margin, Padding and Border', 'osteo-timeline' ),
                        'group'            => esc_html__( 'Button', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-12',
                        'param_name'       => 'osteo_timeline_button_css_editor',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Font Size', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_button_font_size',
                        'std'              => '14',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Weight', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_button_font_weight',
                        'std'              => '400',
                        'value'            => array(
                            esc_html__( '100', 'osteo-timeline' )     => '100',
                            esc_html__( '200', 'osteo-timeline' )     => '200',
                            esc_html__( '300', 'osteo-timeline' )     => '300',
                            esc_html__( '400', 'osteo-timeline' )     => '400',
                            esc_html__( '500', 'osteo-timeline' )     => '500',
                            esc_html__( '600', 'osteo-timeline' )     => '600',
                            esc_html__( '700', 'osteo-timeline' )     => '700',
                            esc_html__( '800', 'osteo-timeline' )     => '800',
                            esc_html__( '900', 'osteo-timeline' )     => '900',
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Bold', 'osteo-timeline' )    => 'bold',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Font Style', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_button_font_style',
                        'std'              => 'normal',
                        'value'            => array(
                            esc_html__( 'Normal', 'osteo-timeline' )  => 'normal',
                            esc_html__( 'Italic', 'osteo-timeline' )  => 'italic',
                            esc_html__( 'Oblique', 'osteo-timeline' ) => 'oblique',
                            esc_html__( 'Initial', 'osteo-timeline' ) => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' ) => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Transform', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-3',
                        'param_name'       => 'osteo_timeline_button_text_transform',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )       => 'none',
                            esc_html__( 'Capitalize', 'osteo-timeline' ) => 'capitalize',
                            esc_html__( 'Uppercase', 'osteo-timeline' )  => 'uppercase',
                            esc_html__( 'Lowercase', 'osteo-timeline' )  => 'lowercase',
                            esc_html__( 'Initial', 'osteo-timeline' )    => 'initial',
                            esc_html__( 'Inherit', 'osteo-timeline' )    => 'inherit',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'textfield',
                        'heading'          => esc_html__( 'Letter Spacing', 'osteo-timeline' ),
                        'description'      => esc_html__( 'Not Include (px)', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_letter_spacing',
                        'std'              => '0',
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                    array(
                        'type'             => 'dropdown',
                        'heading'          => esc_html__( 'Box Shadow', 'osteo-timeline' ),
                        'edit_field_class' => 'vc_col-sm-6',
                        'param_name'       => 'osteo_timeline_button_box_shadow',
                        'std'              => 'none',
                        'value'            => array(
                            esc_html__( 'None', 'osteo-timeline' )     => 'none',
                            esc_html__( 'Style 1', 'osteo-timeline' )  => 'cmk-shadow-1',
                            esc_html__( 'Style 2', 'osteo-timeline' )  => 'cmk-shadow-2',
                            esc_html__( 'Style 3', 'osteo-timeline' )  => 'cmk-shadow-3',
                            esc_html__( 'Style 4', 'osteo-timeline' )  => 'cmk-shadow-4',
                            esc_html__( 'Style 5', 'osteo-timeline' )  => 'cmk-shadow-5',
                            esc_html__( 'Style 6', 'osteo-timeline' )  => 'cmk-shadow-6',
                            esc_html__( 'Style 7', 'osteo-timeline' )  => 'cmk-shadow-7',
                            esc_html__( 'Style 8', 'osteo-timeline' )  => 'cmk-shadow-8',
                            esc_html__( 'Style 9', 'osteo-timeline' )  => 'cmk-shadow-9',
                            esc_html__( 'Style 10', 'osteo-timeline' ) => 'cmk-shadow-10',
                            esc_html__( 'Style 11', 'osteo-timeline' ) => 'cmk-shadow-11',
                            esc_html__( 'Style 12', 'osteo-timeline' ) => 'cmk-shadow-12',
                            esc_html__( 'Style 13', 'osteo-timeline' ) => 'cmk-shadow-13',
                            esc_html__( 'Style 14', 'osteo-timeline' ) => 'cmk-shadow-14',
                            esc_html__( 'Style 15', 'osteo-timeline' ) => 'cmk-shadow-15',
                            esc_html__( 'Style 16', 'osteo-timeline' ) => 'cmk-shadow-16',
                            esc_html__( 'Style 17', 'osteo-timeline' ) => 'cmk-shadow-17',
                            esc_html__( 'Style 18', 'osteo-timeline' ) => 'cmk-shadow-18',
                            esc_html__( 'Style 19', 'osteo-timeline' ) => 'cmk-shadow-19',
                            esc_html__( 'Style 20', 'osteo-timeline' ) => 'cmk-shadow-20',
                            esc_html__( 'Style 21', 'osteo-timeline' ) => 'cmk-shadow-21',
                            esc_html__( 'Style 22', 'osteo-timeline' ) => 'cmk-shadow-22',
                            esc_html__( 'Style 23', 'osteo-timeline' ) => 'cmk-shadow-23',
                            esc_html__( 'Style 24', 'osteo-timeline' ) => 'cmk-shadow-24',
                            esc_html__( 'Style 25', 'osteo-timeline' ) => 'cmk-shadow-25',
                            esc_html__( 'Style 26', 'osteo-timeline' ) => 'cmk-shadow-26',
                            esc_html__( 'Style 27', 'osteo-timeline' ) => 'cmk-shadow-27',
                            esc_html__( 'Style 28', 'osteo-timeline' ) => 'cmk-shadow-28',
                            esc_html__( 'Style 29', 'osteo-timeline' ) => 'cmk-shadow-29',
                            esc_html__( 'Style 30', 'osteo-timeline' ) => 'cmk-shadow-30',
                            esc_html__( 'Style 31', 'osteo-timeline' ) => 'cmk-shadow-31',
                            esc_html__( 'Style 32', 'osteo-timeline' ) => 'cmk-shadow-32',
                            esc_html__( 'Style 33', 'osteo-timeline' ) => 'cmk-shadow-33',
                            esc_html__( 'Style 34', 'osteo-timeline' ) => 'cmk-shadow-34',
                            esc_html__( 'Style 35', 'osteo-timeline' ) => 'cmk-shadow-35',
                            esc_html__( 'Style 36', 'osteo-timeline' ) => 'cmk-shadow-36',
                            esc_html__( 'Style 37', 'osteo-timeline' ) => 'cmk-shadow-37',
                            esc_html__( 'Style 38', 'osteo-timeline' ) => 'cmk-shadow-38',
                            esc_html__( 'Style 39', 'osteo-timeline' ) => 'cmk-shadow-39',
                            esc_html__( 'Style 40', 'osteo-timeline' ) => 'cmk-shadow-40',
                            esc_html__( 'Style 41', 'osteo-timeline' ) => 'cmk-shadow-41',
                            esc_html__( 'Style 42', 'osteo-timeline' ) => 'cmk-shadow-42',
                            esc_html__( 'Style 43', 'osteo-timeline' ) => 'cmk-shadow-43',
                            esc_html__( 'Style 44', 'osteo-timeline' ) => 'cmk-shadow-44',
                            esc_html__( 'Style 45', 'osteo-timeline' ) => 'cmk-shadow-45',
                            esc_html__( 'Style 46', 'osteo-timeline' ) => 'cmk-shadow-46',
                            esc_html__( 'Style 47', 'osteo-timeline' ) => 'cmk-shadow-47',
                            esc_html__( 'Style 48', 'osteo-timeline' ) => 'cmk-shadow-48',
                            esc_html__( 'Style 49', 'osteo-timeline' ) => 'cmk-shadow-49',
                            esc_html__( 'Style 50', 'osteo-timeline' ) => 'cmk-shadow-50',
                            esc_html__( 'Style 51', 'osteo-timeline' ) => 'cmk-shadow-51',
                            esc_html__( 'Style 52', 'osteo-timeline' ) => 'cmk-shadow-52',
                            esc_html__( 'Style 53', 'osteo-timeline' ) => 'cmk-shadow-53',
                            esc_html__( 'Style 54', 'osteo-timeline' ) => 'cmk-shadow-54',
                            esc_html__( 'Style 55', 'osteo-timeline' ) => 'cmk-shadow-55',
                            esc_html__( 'Style 56', 'osteo-timeline' ) => 'cmk-shadow-56',
                        ),
                        'dependency'       => array( 'element' => 'osteo_timeline_button_switch', 'value' => array( 'yes' ) ),
                        'save_always'      => true,
                    ),

                ),
            ),

            array(
                'type'             => 'dropdown',
                'heading'          => esc_html__( 'Alignment', 'osteo-timeline' ),
                'group'            => esc_html__( 'Settings', 'osteo-timeline' ),
                'edit_field_class' => 'vc_col-sm-12',
                'param_name'       => 'osteo_timeline_text_align',
                'std'              => 'left',
                'value'            => [
                    esc_html__( 'Left', 'osteo-timeline' )   => 'left',
                    esc_html__( 'Center', 'osteo-timeline' ) => 'center',
                    esc_html__( 'Right', 'osteo-timeline' )  => 'right',

                ],
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Dots Color', 'osteo-timeline' ),
                'group'            => esc_html__( 'Settings', 'osteo-timeline' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_timeline_line_dot',
                'save_always'      => true,
            ),

            array(
                'type'             => 'colorpicker',
                'heading'          => esc_html__( 'Line Background', 'osteo-timeline' ),
                'group'            => esc_html__( 'Settings', 'osteo-timeline' ),
                'edit_field_class' => 'vc_col-sm-6',
                'param_name'       => 'osteo_timeline_line_color',
                'save_always'      => true,
            ),

        ),
    ) );

}